Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005657TestLinkTest Specificationpublic2013-04-24 15:382013-09-08 17:56
Reportermkvetko 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005657: No alert for not saved changes while editing TestSuite name
DescriptionTestSuite name changes are lost if you leave TestSuite edit mode without saving changes, no alert message is shown
Steps To Reproduce1) Go to TestSpecification
2) Create new test suite and save it
3) Edit test suite you have created and change the name (don't save it)
4) Select other node or hit refresh

Current results:
Changes are lost

Expected:
Warning should be shown
Additional InformationI have fixed that in my instance of TestLink, in inc_testsuite_viewer_rw.tpl

by adding:
onchange="content_modified = true"
onkeypress="content_modified = true"

for <input id="name"> element
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0018765)
mkvetko (reporter)
2013-04-24 15:48

Also note that in inc_testsuite_viewer_rw.tpl html tags are crossed (first paragraph is closed in second div) and second paragraph is not closed in the template. I believe that it is incorrect markup.
(0019027)
fman (administrator)
2013-05-26 18:46

thanks
(0019570)
fman (administrator)
2013-09-08 17:56

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-04-24 15:38 mkvetko New Issue
2013-04-24 15:48 mkvetko Note Added: 0018765
2013-05-26 18:46 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-05-26 18:46 fman Note Added: 0019027
2013-05-26 18:46 fman Assigned To => fman
2013-05-26 18:46 fman Status new => assigned
2013-05-26 18:46 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-05-26 18:47 fman Relationship added child of 0005731
2013-05-26 18:47 fman Status assigned => resolved
2013-05-26 18:47 fman Resolution open => fixed
2013-09-08 17:56 fman Note Added: 0019570
2013-09-08 17:56 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker